SPARQL utility objects
=============================

Oxigraph provides also some utilities related to SPARQL queries:


Variable
""""""""
.. autoclass:: pyoxigraph.Variable
    :members:


``SELECT`` solutions
""""""""""""""""""""
.. autoclass:: pyoxigraph.QuerySolutions
    :members:
.. autoclass:: pyoxigraph.QuerySolution
    :members:

``CONSTRUCT`` results
"""""""""""""""""""""
.. autoclass:: pyoxigraph.QueryTriples
    :members:
